import http from '@/utils/requestDatam';

export function getProductByCode(code: string): Promise<any> {
  return http.get('/nongyao/productInfoByCode?code=' + code);
}

export function getIngredientByRegistrationNo(registrationNo: string): Promise<any> {
  return http.get('/nongyao/ingredientInfoByRegistrationNo?registrationNo=' + registrationNo);
}

export function getSupplierByIngredientCode(ingredientCode: string): Promise<any> {
  return http.get('/nongyao/supplierInfoByIngredientCode?ingredientCode=' + ingredientCode);
}

export function productIngredientSupplierSubmit(params: any): Promise<any> {
  return http.post('/nongyao/productIngredientSupplierSubmit', params);
}
